Package: org.apache.groovy.ginq.dsl.expression

## [Java] Class SetOperationExpression

- org.apache.groovy.ginq.dsl.expression.SetOperationExpression

-     public class SetOperationExpression
      extends AbstractGinqExpression

  Represents a set operation (union, unionall, intersect, minus) combining two GINQ expressions.

  Since:
    6.0.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SetOperationExpression(AbstractGinqExpression left, String operation, GinqExpression right)` Creates a set-operation expression.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<R>` | `public R` | `accept(GinqAstVisitor<R> visitor)` Accepts a visitor for this expression.
    `` | `public AbstractGinqExpression` | `getLeft()` Returns the left query.
    `` | `public String` | `getOperation()` Returns the operation name.
    `` | `public GinqExpression` | `getRight()` Returns the right query.
    `` | `public String` | `getText()` Returns the textual GINQ form of this expression.
    `` | `public String` | `toString()` Returns the textual form of this expression.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGinqExpression` | `accept, transformExpression, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public SetOperationExpression(AbstractGinqExpression left, String operation, GinqExpression right)

      Creates a set-operation expression.

      Parameters:
        `left` - the left query
        `operation` - the set-operation name
        `right` - the right query

  - ### Method Detail

    - #### <R> public R accept(GinqAstVisitor<R> visitor)

      Accepts a visitor for this expression.

      Parameters:
        `visitor` - the visitor to accept
      Type Parameters:
        `R` - the visit result type
      Returns:
        the visit result

    - #### public AbstractGinqExpression getLeft()

      Returns the left query.

      Returns:
        the left query

    - #### public String getOperation()

      Returns the operation name.

      Returns:
        the operation name

    - #### public GinqExpression getRight()

      Returns the right query.

      Returns:
        the right query

    - #### public String getText()

      Returns the textual GINQ form of this expression.

      Returns:
        the expression text

    - #### public String toString()

      Returns the textual form of this expression.

      Returns:
        the expression text